libwebkitgtk-3.0.so.0

Added by Тимофей Захарчук 11 days ago

error while loading shared libraries: libwebkitgtk-3.0.so.0: cannot open shared object file: No such file or directory
Где искать эту либу?
В инете инфы ноль.


Replies (8)

RE: libwebkitgtk-3.0.so.0 - Added by Фёдор Ратиев 11 days ago

net-libs/webkit-gtk

RE: libwebkitgtk-3.0.so.0 - Added by Тимофей Захарчук 11 days ago

Версия какая?

RE: libwebkitgtk-3.0.so.0 - Added by Фёдор Ратиев 11 days ago

А что его требует?
Сходи по ссылке, которую eix выдает, и узнай какие версии есть.

RE: libwebkitgtk-3.0.so.0 - Added by Фёдор Ратиев 11 days ago

Ну, или загугли название либы наконец.

RE: libwebkitgtk-3.0.so.0 - Added by Тимофей Захарчук 11 days ago

1cestart: error while loading shared libraries: libwebkitgtk-3.0.so.0: cannot open shared object file: No such file or directory

eix - не панацея и так знаю как искать (ничего не дал).

https://www.google.com/search?client=firefox-b-ab&ei=QngZW6qrH4XE6ASE6ILoBg&q=gentoo+libwebkitgtk-3.0.so.0&oq=gentoo+libwebkitgtk-3.0.so.0&gs_l=psy-ab.3..35i39k1.145414.154490.0.154968.54.17.0.0.0.0.730.2345.0j6j1j5-1j1.9.0....0...1.1.64.psy-ab..46.3.489...0i7i30i19k1j0i10i30i19k1.0.kEiEik2B_iU

Выдает полный бред.

RE: libwebkitgtk-3.0.so.0 - Added by Фёдор Ратиев 11 days ago

https://webkitgtk.org/

net-libs/webkit-gtk установлен?

equery f net-libs/webkit-gtk | grep /usr/lib

Сделай ссылку на похожую либу.
ln -s /usr/lib64/libwebkit2gtk-бла-бла libwebkitgtk-3.0.so.0

RE: libwebkitgtk-3.0.so.0 - Added by Тимофей Захарчук 11 days ago

Спасибо Федор, чот не дотумкал сам про симлинк.
Делал симлинк от версии net-libs/webkit-gtk-2.4.11-r200 libwebkitgtk-1.0.so - не работало
С версией net-libs/webkit-gtk-2.18.6 все работает.
Откуда только 1С-ники берут нужные-ненужные либы :)
Новые версии 1С отвязали от libwebkitgtk-1.0.so и net-libs/webkit-gtk-2.4.11-r200 ( где-то кто-то сдох похоже у них)

RE: libwebkitgtk-3.0.so.0 - Added by Тимофей Захарчук 11 days ago

На самом деле все не совсем правильно.
Не надо делать никаких симлинков (хотя тоже работает).
Необходимо установить net-libs/webkit-gtk:3 для версий 1С 8,3 начиная от 8.3.12.1412

(1-8/8)

Thank you!